%global namedreltag -M33
%global namedversion %{version}%{?namedreltag}
Name:          apacheds-ldap-api
Version:       1.0.0
Release:       0.5.M33%{?dist}
Summary:       Apache Directory LDAP API
License:       ASL 2.0
Url:           http://directory.apache.org/api/
Source0:       http://www.apache.org/dist/directory/api/dist/%{namedversion}/apache-ldap-api-%{namedversion}-src.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(antlr:antlr)
BuildRequires: mvn(com.google.code.findbugs:annotations)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-pool:commons-pool)
BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.apache.mina:mina-core)
BuildRequires: mvn(org.codehaus.mojo:antlr-maven-plugin)
BuildRequires: mvn(org.eclipse.osgi:org.eclipse.osgi)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(xpp3:xpp3)

%if 0
# Test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.directory.junit:junit-addons)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
%endif

BuildArch:     noarch

%description
The Apache Directory LDAP API is an ongoing effort to
provide an enhanced LDAP API, as a replacement for JNDI and
the existing LDAP API (jLdap and Mozilla LDAP API).

This is a schema aware API, with some convenient ways to
access a LDAP server. This API is not only targeting the
Apache Directory Server, but should work pristine with
any LDAP server.

It's also an extensible API: new Controls, schema elements and
network layer could be added or used in the near future. It
is also OSGi capable.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n apache-ldap-api-%{namedversion}-src
find . -name "*.class" -delete
find . -name "*.jar" -print -delete

# org.apache.directory.project:project:pom:34
%pom_remove_parent
%pom_remove_dep -r org.ops4j.pax.exam:
%pom_remove_dep -r org.ops4j.pax.url:

%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin -r de.thetaphi:forbiddenapis

%pom_disable_module integ
%pom_disable_module integ-osgi
%pom_disable_module distribution

%pom_remove_plugin -r :maven-shade-plugin
%pom_remove_plugin -r :maven-checkstyle-plugin

# org.osgi:org.osgi.core:6.0.0
%pom_change_dep -r org.osgi:org.osgi.core org.eclipse.osgi:org.eclipse.osgi::provided
%pom_change_dep -r findbugs:annotations com.google.code.findbugs:annotations
# TODO add OSGi manifest to these artifacts
%pom_change_dep -r org.apache.servicemix.bundles:org.apache.servicemix.bundles.dom4j dom4j:dom4j
%pom_change_dep -r org.apache.servicemix.bundles:org.apache.servicemix.bundles.xpp3 xpp3:xpp3
%pom_remove_dep -r org.apache.servicemix.bundles:org.apache.servicemix.bundles.antlr
%pom_xpath_remove "pom:dependency[pom:artifactId = 'antlr']/pom:scope" ldap/model
%pom_xpath_remove "pom:dependency[pom:artifactId = 'antlr']/pom:scope" ldap/extras/aci

chmod 644 README.txt

%build
# No test dep org.apache.directory.junit:junit-addons:0.1
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.5.M33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.4.M33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.3.M33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.2.M33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 26 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.M33
- update to 1.0.0-M33

* Sat Nov 28 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.M32
- update to 1.0.0-M32

* Wed Oct 14 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.2.M31
- fix some issues found during review

* Wed Jul 15 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.M31
- update to 1.0.0-M31

* Sat Mar 14 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.M26
- initial rpm
